<template>
  <div>
    <div class="row">
      <div class="col">
        <h5>TOTAL POR MONEDA</h5>
      </div>
    </div>
    <div class="row">
      <div class="col">
        <table class="table table-sm table-hover table-bordered">
          <thead class="thead-dark text-center">
            <tr>
              <th>Moneda</th>
              <th>Monto Invertido</th>
              <th>Monto al día</th>
              <th>Variación parcial</th>
              <th>Ganancia total</th>
            </tr>
          </thead>
          <tbody v-for="total in listaDeTotales" :key="total.id">
            <tr>
              <td class="text-center">{{total.tipoMoneda}}</td>
              <td class="text-right">{{total.montoInicial}}</td>
              <td class="text-right">{{total.montoActual}}</td>
              <td class="text-right">{{total.gananciaParcial}}</td>
              <td class="text-right">{{total.gananciaTotal}}</td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>
<script lang= "ts">
import { Component, Prop, Vue } from "vue-property-decorator";
import axios, { AxiosResponse } from "axios";
import { Total } from "../domain/Total";

@Component
export default class TotalPorMoneda extends Vue {
  @Prop() private listaDeTotales!: Array<Total>;
}
</script>

<style lang="stylus" scoped></style>